package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFVersion;
import com.sa.ibiz.demo.demo.service.dto.WFVersionSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFVersion] 服务对象接口
 */
public interface WFVersionService extends IService<WFVersion>{

	boolean checkKey(WFVersion et);
	boolean create(WFVersion et);
	boolean remove(WFVersion et);
		WFVersion get(WFVersion et);
	boolean update(WFVersion et);
	boolean getDraft(WFVersion et);
    List<WFVersion> listDefault(WFVersionSearchFilter filter) ;
	Page<WFVersion> searchDefault(WFVersionSearchFilter filter);
	/**	 实体[WFVersion] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }